class_name BeastModel extends Node3D
## Abstract base type for beast model controllers.


func set_target_rotation(_theta: float) -> void:
	pass  # Implemented in derived type


func set_move_speed(_speed: float) -> void:
	pass  # Implemented in derived type
